Bug 12610 - smbd can crash on bad negprot.
smbd can crash on bad negprot.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-02 22:46 UTC by Jeremy Allison
Modified: 2017-03-14 09:33 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for 4.6.next (5.27 KB, patch)
2017-03-03 18:07 UTC, Jeremy Allison
slow: review+
Details
git-am fix for 4.5.next, 4.4.next. (1.95 KB, patch)
2017-03-03 18:07 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2017-03-02 22:46:22 UTC
Found by Volker, null pointer dereference.
Comment 1 Jeremy Allison 2017-03-03 18:07:00 UTC
Created attachment 13016 [details]
git-am fix for 4.6.next

Cherry-picked from master.
Comment 2 Jeremy Allison 2017-03-03 18:07:53 UTC
Created attachment 13017 [details]
git-am fix for 4.5.next, 4.4.next.

Back-ported from previous fix. Minus test code as the smb1 infrastructure used for the negprot tests doesn't exist in 4.5.x or before.
Comment 3 Ralph Böhme 2017-03-03 18:43:11 UTC
Reassigning to Karolin for inclusion in 4.4, 4.5 and 4.6.
Comment 4 Karolin Seeger 2017-03-13 08:23:21 UTC
(In reply to Ralph Böhme from comment #3)
Pushed to autobuild-v4-{6,5,4}-test.
Comment 5 Karolin Seeger 2017-03-14 09:33:06 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to all branches.
Closing out bug report.

Thanks!